Gestiono
Referencia de APIAccounting / Gift Card

Create Gift Card

← Back to full API reference
POST/v1/gift-cardAuth required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: postGiftCard.

Request details

Body fields

FieldRequiredDescription
amountYesType: number
currencyYesEnum-like validator generated by zodFromObj
divisionIdYesType: number
codeNoType: string
expiresAtNoType: string
notesNoType: string
paymentMethodYesType: enumExample: CASH
accountIdYesType: number
buyerBeneficiaryIdYesType: number
referenceNoType: string
dateNoType: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "amount": 1,
  "currency": "string",
  "divisionId": 1,
  "paymentMethod": "CASH",
  "accountId": 1,
  "buyerBeneficiaryId": 1
}

Sample response

json
{
  "giftCard": "<giftCard>",
  "recordId": "<recordId>"
}